uri-bytestring-0.4.0.1: Haskell URI parsing as ByteStrings

Safe Haskell | None
Language | Haskell2010

URI.ByteString.QQ

Synopsis

- uri :: QuasiQuoter
- relativeRef :: QuasiQuoter

# Documentation

uri :: QuasiQuoter Source #

Allows uri literals via QuasiQuotes language extension.

    >>> stackage = [uri|http://stackage.org|]

relativeRef :: QuasiQuoter Source #

Allows relative ref literals via QuasiQuotes language extension.

    >>> ref = [relativeRef|/foo?bar=baz#quux|]